Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.model
Class Res

    java.lang.Object
      org.fourthline.cling.support.model.Res

    public class Res

extends Object

Author:
  Christian Bauer

Field Summary
`protected Long` | `bitrate`
`protected Long` | `bitsPerSample`
`protected Long` | `colorDepth`
`protected String` | `duration`
`protected URI` | `importUri`
`protected Long` | `nrAudioChannels`
`protected String` | `protection`
`protected ProtocolInfo` | `protocolInfo`
`protected String` | `resolution`
`protected Long` | `sampleFrequency`
`protected Long` | `size`
`protected String` | `value`

Constructor Summary
`Res()`
`Res(org.seamless.util.MimeType httpGetMimeType, Long size, String value)`
`Res(org.seamless.util.MimeType httpGetMimeType, Long size, String duration, Long bitrate, String value)`
`Res(ProtocolInfo protocolInfo, Long size, String value)`
`Res(ProtocolInfo protocolInfo, Long size, String duration, Long bitrate, String value)`
`Res(String httpGetMimeType, Long size, String duration, Long bitrate, String value)`
`Res(URI importUri, ProtocolInfo protocolInfo, Long size, String duration, Long bitrate, Long sampleFrequency, Long bitsPerSample, Long nrAudioChannels, Long colorDepth, String protection, String resolution, String value)`

Method Summary
`Long` | `getBitrate()`
`Long` | `getBitsPerSample()`
`Long` | `getColorDepth()`
`String` | `getDuration()`
`URI` | `getImportUri()`
`Long` | `getNrAudioChannels()`
`String` | `getProtection()`
`ProtocolInfo` | `getProtocolInfo()`
`String` | `getResolution()`
`int` | `getResolutionX()`
`int` | `getResolutionY()`
`Long` | `getSampleFrequency()`
`Long` | `getSize()`
`String` | `getValue()`
`void` | `setBitrate(Long bitrate)`
`void` | `setBitsPerSample(Long bitsPerSample)`
`void` | `setColorDepth(Long colorDepth)`
`void` | `setDuration(String duration)`
`void` | `setImportUri(URI importUri)`
`void` | `setNrAudioChannels(Long nrAudioChannels)`
`void` | `setProtection(String protection)`
`void` | `setProtocolInfo(ProtocolInfo protocolInfo)`
`void` | `setResolution(int x, int y)`
`void` | `setResolution(String resolution)`
`void` | `setSampleFrequency(Long sampleFrequency)`
`void` | `setSize(Long size)`
`void` | `setValue(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### importUri

    protected URI importUri

### protocolInfo

    protected ProtocolInfo protocolInfo

### size

    protected Long size

### duration

    protected String duration

### bitrate

    protected Long bitrate

### sampleFrequency

    protected Long sampleFrequency

### bitsPerSample

    protected Long bitsPerSample

### nrAudioChannels

    protected Long nrAudioChannels

### colorDepth

    protected Long colorDepth

### protection

    protected String protection

### resolution

    protected String resolution

### value

    protected String value

Constructor Detail

### Res

    public Res()

### Res

    public Res(String httpGetMimeType,
               Long size,
               String duration,
               Long bitrate,
               String value)

### Res

    public Res(org.seamless.util.MimeType httpGetMimeType,
               Long size,
               String duration,
               Long bitrate,
               String value)

### Res

    public Res(org.seamless.util.MimeType httpGetMimeType,
               Long size,
               String value)

### Res

    public Res(ProtocolInfo protocolInfo,
               Long size,
               String value)

### Res

    public Res(ProtocolInfo protocolInfo,
               Long size,
               String duration,
               Long bitrate,
               String value)

### Res

    public Res(URI importUri,
               ProtocolInfo protocolInfo,
               Long size,
               String duration,
               Long bitrate,
               Long sampleFrequency,
               Long bitsPerSample,
               Long nrAudioChannels,
               Long colorDepth,
               String protection,
               String resolution,
               String value)

Method Detail

### getImportUri

    public URI getImportUri()

### setImportUri

    public void setImportUri(URI importUri)

### getProtocolInfo

    public ProtocolInfo getProtocolInfo()

### setProtocolInfo

    public void setProtocolInfo(ProtocolInfo protocolInfo)

### getSize

    public Long getSize()

### setSize

    public void setSize(Long size)

### getDuration

    public String getDuration()

### setDuration

    public void setDuration(String duration)

### getBitrate

    public Long getBitrate()

### setBitrate

    public void setBitrate(Long bitrate)

### getSampleFrequency

    public Long getSampleFrequency()

### setSampleFrequency

    public void setSampleFrequency(Long sampleFrequency)

### getBitsPerSample

    public Long getBitsPerSample()

### setBitsPerSample

    public void setBitsPerSample(Long bitsPerSample)

### getNrAudioChannels

    public Long getNrAudioChannels()

### setNrAudioChannels

    public void setNrAudioChannels(Long nrAudioChannels)

### getColorDepth

    public Long getColorDepth()

### setColorDepth

    public void setColorDepth(Long colorDepth)

### getProtection

    public String getProtection()

### setProtection

    public void setProtection(String protection)

### getResolution

    public String getResolution()

### setResolution

    public void setResolution(String resolution)

### setResolution

    public void setResolution(int x,
                              int y)

### getResolutionX

    public int getResolutionX()

### getResolutionY

    public int getResolutionY()

### getValue

    public String getValue()

### setValue

    public void setValue(String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.